POST api/Score/Member/Course/Swap
会员积分课程兑换 (说明:App和小程序通用,增加兑换码返回值)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_MemberCourseSwap| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
微信OpenId |
string |
None. |
| courseExchangeId |
兑换课程ID |
integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"userOpenId": "sample string 1",
"courseExchangeId": 2
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。410:用户会员信息不存在... 。404:兑换课程不存在或已下架... 。460:用户积分不足... 。200:兑换成功... 。400:兑换失败... 。
MemberCourseSwapResult| Name | Description | Type | Additional information |
|---|---|---|---|
| recordId |
兑换记录ID |
integer |
None. |
| codeData |
兑换码 |
string |
None. |
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"recordId": 1,
"codeData": "sample string 2",
"status": 3,
"msg": "sample string 4"
}